ranges::v3::partition_point_fn Struct Reference
Algorithms

## Public Member Functions

template<typename I , typename S , typename C , typename P = ident, requires = (PartitionPointable<I, C, P>() && Sentinel<S, I>() && !SizedSentinel<S, I>())>
I | operator() (I begin, S end, C pred, P proj=P{}) const
template<typename I , typename S , typename C , typename P = ident, requires = (PartitionPointable<I, C, P>() && SizedSentinel<S, I>())>
I | operator() (I begin, S end, C pred, P proj=P{}) const
template<typename Rng , typename C , typename P = ident, typename I = iterator_t<Rng>, requires = (Range<Rng>() && !SizedRange<Rng>() && PartitionPointable<I, C, P>())>
safe_iterator_t< Rng > | operator() (Rng &&rng, C pred, P proj=P{}) const
template<typename Rng , typename C , typename P = ident, typename I = iterator_t<Rng>, requires = (SizedRange<Rng>() && PartitionPointable<I, C, P>())>
safe_iterator_t< Rng > | operator() (Rng &&rng, C pred, P proj=P{}) const